=== debian/changelog ===
qwit (1.0+svn346-1) unstable; urgency=low

  * New upstream svn snapshot.
    - OAuth support 
    - Native retweet support
    - libnotify and kdialog support
  * Updated Standards-Version to 3.9.1 No change needed.
  * Debian menu file provided. (Closes: #573632)

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Tue, 27 Jul 2010 12:51:09 +0200

qwit (1.0+svn305-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Memory leak fixed (Closes: #567243)
    - Layout of the user management dialog changed
    - No more notifications for 'more' button.
  * Updated Standards-Version to 3.8.4 No change needed.

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Thu, 11 Feb 2010 12:14:56 +0100

qwit (1.0+svn300-1) unstable; urgency=low

  * New upstream svn snapshot. Some of the new features are:
    - Enable or disable URL shortening from main window.
    - Translation files updated.
    - Friends management feature. 
    - Custom url shorteners.

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Mon, 07 Dec 2009 12:43:14 +0100

qwit (1.0+svn255-1) unstable; urgency=low

  * New upstream svn snapshot providing some bug fixes and new features:
    - Upstream moved to 1.x branch.
    - Fixes 'Twitpocalypse' related bugs (int limit reached).
    - Url shorteners support.
    - Multiple accounts support.
    - Identi.ca and other twitter-compatible services support.
  * Updated Standards-Version to 3.8.3 No change needed.
  * Added README.source file.
  * Crystal Project Icons license detailed in debian/copyright.

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Tue, 29 Sep 2009 16:58:18 +0200

qwit (0.9-1) unstable; urgency=low

  * Initial release (Closes: #528189)

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Sat, 25 Jul 2009 13:52:39 +0200
