=== debian/control ===
Source: qwit
Section: net
Priority: extra
Maintainer: Carlos Galisteo <cgalisteo@k-rolus.net>
Build-Depends: debhelper (>= 7), quilt, txt2man, qt4-qmake, libqt4-dev, libqoauth-dev, libqca2-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/qwit/

Package: qwit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight desktop client for Twitter microblogging service
 Qwit is a Qt4-based lightweight cross-platform client for Twitter.
 Some of its main features are:
  - http-proxy support;
  - userpics caching;
  - clickable links in statuses;
  - public, replies, custom user timelines, search;
  - caching messages between sessions;
  - replies, retweets and direct messages support;
  - customizable interface;
  - twitpic support.
