=== debian/watch ===
version=3
http://code.google.com/p/qwit/downloads/list http://qwit.googlecode.com/files/qwit-([\d.]+)\-src.tar.bz2
