=== debian/changelog ===
qwit (1.1+svn353-1) unstable; urgency=low

  * New upstream svn snapshot.
    - bugfix: crush on fresh startup.
    - bugfix: mention check was case sensitive
    - feature: integrated 3cm.kz url shortener
  * Added dependency for libqca2-plugin-ossl (Closes: #592374)

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Sat, 11 Sep 2010 19:27:47 +0200
