=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: qwit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
 Description: Lightweight desktop client for Twitter microblogging service
  Qwit is a Qt4-based lightweight cross-platform client for Twitter.
  Some of its main features are:
