=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

configure: configure-stamp

configure-stamp:
	dh_testdir
	$(MAKE) -f /usr/share/quilt/quilt.make patch
	qmake-qt4 PREFIX=$(CURDIR)/debian/qwit/usr
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	txt2man -t qwit -s1 debian/qwit.man > debian/qwit.1
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/qwit.1
	[ ! -f Makefile ] || $(MAKE) distclean
	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	dh_install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/qwit

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_installchangelogs 
	dh_installdocs
	dh_installman $(CURDIR)/debian/qwit.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
